Name:           StarCluster
Version:        0.94.3
Release:        2%{?dist}
Summary:        Tool for managing computing clusters hosted on Amazon's EC2

# Core of StarCluster is LGPLv3
# sshutils/scp.py and progressbar.py are LGPLv2+
# Jquery is both (MIT or BSD or GPLv2) and (MIT or GPLv2)
License:        LGPLv3 and LGPLv2+ and (MIT or BSD or GPLv2) and (MIT or GPLv2)
URL:            http://star.mit.edu/cluster
Source0:        https://pypi.python.org/packages/source/S/StarCluster/StarCluster-%{version}.tar.gz
# Hack to require pyasn1 >= 0.1.6
Patch0:         StarCluster-pyasn1.patch

BuildArch:      noarch
BuildRequires:  python2-devel
# For docs
BuildRequires:  python-sphinx
# For tests
BuildRequires:  python-nose-progressive
BuildRequires:  python-boto >= 2.10.0
BuildRequires:  python-decorator >= 3.4.0
BuildRequires:  python-iptools >= 0.6.1
BuildRequires:  python-jinja2 >= 2.7
BuildRequires:  python-optcomplete >= 1.2
BuildRequires:  python-pyasn1 >= 0.1.6
BuildRequires:  python-paramiko >= 1.11.0
BuildRequires:  python-workerpool >= 0.9.2
Requires:       python-boto >= 2.10.0
Requires:       python-decorator >= 3.4.0
Requires:       python-iptools >= 0.6.1
Requires:       python-jinja2 >= 2.7
Requires:       python-optcomplete >= 1.2
Requires:       python-pyasn1 >= 0.1.6
Requires:       python-paramiko >= 1.11.0
Requires:       python-workerpool >= 0.9.2

%description
StarCluster is an open source cluster-computing toolkit for Amazon’s Elastic
Compute Cloud (EC2).

StarCluster has been designed to automate and simplify the process of
building, configuring, and managing clusters of virtual machines on Amazon’s
EC2 cloud. StarCluster allows anyone to easily create a cluster computing
environment in the cloud suited for distributed and parallel computing
applications and systems. 


%package doc
Summary:        Documentation for %{name}
# Neuton-webfont is ASL 2.0
# Jquery is both (MIT or BSD or GPLv2) and (MIT or GPLv2)
# Docs seem to be under same license as core module (LGPLv3)
# *.css files are BSD
License:        LGPLv3 and BSD and ASL 2.0 and (MIT or BSD or GPLv2) and (MIT or GPLv2)
Requires:       %{name} = %{version}-%{release}

%description doc
Documentation for %{name}.


%prep
%setup -q
%patch0 -p1 -b .pyasn1
# Remove egg-info
rm -rf %{name}.egg-info


%build
%{__python} setup.py build
cd docs/sphinx
make html
# Remove empty file
rm _build/html/.buildinfo


%install
%{__python} setup.py install --skip-build --root %{buildroot}


%check
%{__python} setup.py test

 
%files
%doc Changelog COPYING COPYING.LESSER README.rst
%{_bindir}/starcluster
%{python_sitelib}/*

%files doc
%doc docs/sphinx/_build/html


%changelog
* Fri Jun 13 2014 Orion Poplawski <orion@cora.nwra.com> 0.94.3-2
- Patch pyasn1 requires to 0.1.6

* Mon Jan 13 2014 Orion Poplawski <orion@cora.nwra.com> 0.94.3-1
- Update to 0.94.3
